Update a pipeline stage component
Updates how a stage deploys one of its components.
PUT
/project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components/{pipeline_stage_component_id}Authorization
AuthorizationBearer token (JWT) · headerrequiredJWT token passed in the Authorization header using the Bearer <token> format.
Path parameters
project_iduuidrequiredThe unique identifier for the project
environment_iduuidrequiredThe unique identifier of the environment
pipeline_iduuidrequiredThe unique identifier for the pipeline
pipeline_stage_iduuidrequiredThe unique identifier for the pipeline stage
pipeline_stage_component_iduuidrequiredThe unique identifier for the pipeline stage component
Request body
requiredapplication/jsonis_requiredbooleantimeout_secondsinteger | nullmin 1
Responses
200
Pipeline stage component updated successfully
iduuidrequiredA universally unique identifier (UUID) string
stage_iduuidrequiredA universally unique identifier (UUID) string
component_iduuidrequiredA universally unique identifier (UUID) string
component_kindcomponent_kindrequiredComponent kind for component-scoped variables
Allowed:
KjobKApplicationKHelmKDatabaseis_requiredbooleanrequiredtimeout_secondsinteger | nullcreated_atstring<date-time>requireddefault
Error
codeinteger<int32>requiredmessagestringrequiredreasonstringOptional stable machine-readable reason for programmatic error handling